Bug 1190668 - Installer of Fedora 21.5 labels Norwegian keyboards as "Nynorsk"
Summary: Installer of Fedora 21.5 labels Norwegian keyboards as "Nynorsk"
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 23
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-09 11:53 UTC by Petter Adsen
Modified: 2016-12-20 13:12 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 13:12:17 UTC


Attachments (Terms of Use)

Description Petter Adsen 2015-02-09 11:53:56 UTC
Description of problem:
Selecting Norwegian keyboards in the installer labels them as "Nynorsk". There is no distinction between "nynorsk" and "bokmål" on Norwegian keyboards, so they should simply be labeled as "Norwegian".

Version-Release number of selected component (if applicable):
21.5

How reproducible:
Always :)

Comment 1 David Shea 2015-02-09 16:19:42 UTC
Anaconda just reads in a list of keyboards and descriptions from xkeyboard-config, so reassigning to them.

Comment 2 Fedora End Of Life 2015-11-04 13:43:09 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Pravin Satpute 2015-11-25 12:00:31 UTC
Ping !!

Is this bug still reproducible in Fedora 23?  If not lets close else move to Fedora 23.

Comment 4 Petter Adsen 2015-11-25 12:21:40 UTC
Yes, it is still reproducible. I just downloaded the latest Fedora 23 Workstation image and ran the installer in a VM, and all the available keyboard selections for Norwegian keyboards are labeled "Nynorsk".

Comment 5 Pravin Satpute 2015-11-26 04:15:42 UTC
Thank you Petter :)
Moving to F23

Comment 6 Peter Hutterer 2015-11-26 10:48:58 UTC
What's it supposed to be? https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes gives me the options: Norsk bokmål, Norsk nynorsk and just Norsk. Which one is the correct one?

Comment 7 Petter Adsen 2015-11-26 10:54:54 UTC
As there is no distinction between nynorsk and bokmål keyboards, it should just say "Norsk".

Petter

Comment 8 Peter Hutterer 2015-11-27 02:18:15 UTC
Punting back to anaconda, this doesn't seem to be an xkeyboard-config problem but I'm getting a bit lost in what's actually happening.

Anaconda loads the locale from langtable, converts that to a keyboard layout ("no"), then it uses its xkl wrapper to get the description which is the string displayed 

xkl.get_layout_variant_description("no") prints 'Norwegian Nynorsk; Nynorsk, Norwegian (Norwegian)'

But I got lost figuring out where that string actually comes from, somewhere in the bowels of libxklavier wrapped through the introspection wrappers. Given that the string doesn't appear in xkeyboard-config anywhere (only the iso codes) I don't think this is an xk-c bug.

Comment 9 Jens Petersen 2016-05-11 06:38:39 UTC
Let's try langtable...

Comment 10 Mike FABIAN 2016-05-12 14:24:29 UTC
There are no such strings in langtable.

Comment 11 Fedora End Of Life 2016-11-24 11:25:11 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2016-12-20 13:12:17 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.